Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.util.ui
Class AboutDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--rj.tools.util.ui.AboutDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class AboutDialog
extends javax.swing.JDialog

Generic 'About' dialog

Typical usage: `Object[][] values = { {"OS Version" , AboutDialog.getOSVersion()}, {"JDK Version", AboutDialog.getJavaVersion()}}; String copyright = "
" + "Copyright (c) 2002-2004, All rights reserved
" + "Ralph Jocham
" + "JCSC is released under the GPL
" + "
"; AboutDialog about = new AboutDialog((JFrame) null, "About JCSC", "Splash", values, copyright); about.setModal(true); about.setVisible(true);`

Version:
  $Revision: 1.1 $
Author:
  Ralph Jocham
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AboutDialog(java.awt.Frame parent, java.lang.String title, java.lang.String image, java.lang.Object[][] keyValue, java.lang.String copyright)` Created an AboutDialog
`AboutDialog(javax.swing.JDialog parent, java.lang.String title, java.lang.String image, java.lang.Object[][] keyValue, java.lang.String copyright)` Created an AboutDialog

Method Summary
`static java.lang.Object[][]` | `concatMatrizes(java.lang.Object[][] o1, java.lang.Object[][] o2)` Concats two matrizes of Object[][2].
`static java.lang.Object[][]` | `getJarsLabel()` Returns a matrix containing the full qualified path of the .jar file and the label found in the manifest file.
`static java.lang.String` | `getJavaVersion()` Convenience method to retrieve Jave version and mode
`static java.lang.String` | `getOSVersion()` Convenience method to retrieve OS name and version

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AboutDialog

    public AboutDialog(java.awt.Frame parent,
                       java.lang.String title,
                       java.lang.String image,
                       java.lang.Object[][] keyValue,
                       java.lang.String copyright)

  Created an AboutDialog
  Parameters:
    `parent` - frame
    `title` -
    `image` - to display
    `keyValue` - matrix of key value pairs
    `copyright` - informations

### AboutDialog

    public AboutDialog(javax.swing.JDialog parent,
                       java.lang.String title,
                       java.lang.String image,
                       java.lang.Object[][] keyValue,
                       java.lang.String copyright)

  Created an AboutDialog
  Parameters:
    `parent` - dialog
    `title` -
    `image` - to display
    `keyValue` - matrix of key value pairs
    `copyright` - informations

Method Detail

### getOSVersion

    public static java.lang.String getOSVersion()

  Convenience method to retrieve OS name and version
  Returns:
    String

### getJavaVersion

    public static java.lang.String getJavaVersion()

  Convenience method to retrieve Jave version and mode
  Returns:

### getJarsLabel

    public static java.lang.Object[][] getJarsLabel()

  Returns a matrix containing the full qualified path of the .jar file and the label found in the manifest file. The label has 'Label:' as key.
  Returns:
    Object[][]

### concatMatrizes

    public static java.lang.Object[][] concatMatrizes(java.lang.Object[][] o1,
                                                      java.lang.Object[][] o2)

  Concats two matrizes of Object[][2]. The resulting matrix has length o1.length + o2.length
  Parameters:
    `o1` -
    `o2` -
  Returns:
    Object[][]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License